package com.njzscloud.supervisory.route.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.route.pojo.OrderRouteEntity;

import java.util.List;

/**
 * 订单路线管理
 */
public interface OrderRouteService extends IService<OrderRouteEntity> {

    /**
     * 新增
     */
    void add(OrderRouteEntity orderRouteEntity);

    /**
     * 修改
     */
    void modify(OrderRouteEntity orderRouteEntity);

    /**
     * 删除
     */
    void del(List<Long> ids);

    /**
     * 详情
     */
    OrderRouteEntity detail(Long id);

    /**
     * 分页查询
     */
    PageResult<OrderRouteEntity> paging(PageParam pageParam, OrderRouteEntity orderRouteEntity);

    /**
     * 根据订单Id查看路线详情
     */
    OrderRouteEntity getByOrderId(Long orderId);

}

